//------------------------------------------------------------------------------------------------------------
//CLASS DEFINITION
//------------------------------------------------------------------------------------------------------------

function LangManager()
{
	rpEngine.logger.log('Creating LangManager...', [], rp.Logger.LEVEL_DEBUG, rp.Logger.SUBJECT_ENGINE);
	
	this._currentLanguageId = 'en';
	
	this._langPackGame = new rp.LangPack();
	this._langPackGui = new rp.LangPack();
}

//------------------------------------------------------------------------------------------------------------
//CONSTANTS
//------------------------------------------------------------------------------------------------------------

//------------------------------------------------------------------------------------------------------------
//STATIC FUNCTIONS
//------------------------------------------------------------------------------------------------------------

//------------------------------------------------------------------------------------------------------------
//PROTOTYPE
//------------------------------------------------------------------------------------------------------------

LangManager.prototype =
{
	//------------------------------------------------------------------------------------------------------------
	//VARIABLES
	//------------------------------------------------------------------------------------------------------------

	_currentLanguageId : '',
	
	_langPackGame : null,
	_langPackGui : null,
	
	//------------------------------------------------------------------------------------------------------------
	//GENERAL FUNCTIONS
	//------------------------------------------------------------------------------------------------------------

	//------------------------------------------------------------------------------------------------------------
	//GETTERS - SETTERS
	//------------------------------------------------------------------------------------------------------------

	getCurrentLanguageId : function()
	{
		return this._currentLanguageId;
	},

	getPackGame : function()
	{
		return this._langPackGame;
	},
	
	getPackGui : function()
	{
		return this._langPackGui;
	},
	
	//------------------------------------------------------------------------------------------------------------
}

//------------------------------------------------------------------------------------------------------------
//EXPORTS
//------------------------------------------------------------------------------------------------------------

module.exports = LangManager;

//------------------------------------------------------------------------------------------------------------
