//------------------------------------------------------------------------------------------------------------
//CLASS DEFINITION
//------------------------------------------------------------------------------------------------------------

function NarrativeActionImageSelectionData()
{
}

//------------------------------------------------------------------------------------------------------------
//CONSTANTS
//------------------------------------------------------------------------------------------------------------

//------------------------------------------------------------------------------------------------------------
//STATIC FUNCTIONS
//------------------------------------------------------------------------------------------------------------

NarrativeActionImageSelectionData.create = function(langMessageId, imageIdList)
{
	var narrativeActionImageSelectionData = new NarrativeActionImageSelectionData();
	
	narrativeActionImageSelectionData._imageIdList = imageIdList;
	narrativeActionImageSelectionData._langMessageId = langMessageId;
	
	return narrativeActionImageSelectionData;
}

NarrativeActionImageSelectionData.createFromSave = function(data)
{
	var narrativeActionImageSelectionData = new NarrativeActionImageSelectionData();
	
	narrativeActionImageSelectionData._imageIdList = data.imageIdList;
	narrativeActionImageSelectionData._langMessageId = data.langMessageId;
	
	return narrativeActionImageSelectionData;
}

//------------------------------------------------------------------------------------------------------------
//PROTOTYPE
//------------------------------------------------------------------------------------------------------------

NarrativeActionImageSelectionData.prototype =
{
	//------------------------------------------------------------------------------------------------------------
	//VARIABLES
	//------------------------------------------------------------------------------------------------------------

	_imageIdList : null,
	_langMessageId : '',
	
	//------------------------------------------------------------------------------------------------------------
	//INITIALIZERS - SERIALIZERS
	//------------------------------------------------------------------------------------------------------------

	//------------------------------------------------------------------------------------------------------------
	//GENERAL FUNCTIONS
	//------------------------------------------------------------------------------------------------------------

	//------------------------------------------------------------------------------------------------------------
	//GETTERS - SETTERS
	//------------------------------------------------------------------------------------------------------------
	
	getImageIdList : function()
	{
		return this._imageIdList;
	},
	setImageIdList : function(value)
	{
		this._imageIdList = value;
	},

	getLangMessageId : function()
	{
		return this._langMessageId;
	},
	setLangMessageId : function(value)
	{
		this._langMessageId = value;
	},
	
	//------------------------------------------------------------------------------------------------------------
}

//------------------------------------------------------------------------------------------------------------
//EXPORTS
//------------------------------------------------------------------------------------------------------------

module.exports = NarrativeActionImageSelectionData;

//------------------------------------------------------------------------------------------------------------