//------------------------------------------------------------------------------------------------------------
//CLASS DEFINITION
//------------------------------------------------------------------------------------------------------------

function NarrativeActionTextInputData()
{
}

//------------------------------------------------------------------------------------------------------------
//CONSTANTS
//------------------------------------------------------------------------------------------------------------

//------------------------------------------------------------------------------------------------------------
//STATIC FUNCTIONS
//------------------------------------------------------------------------------------------------------------

NarrativeActionTextInputData.create = function(langMessageId, inputLengthMin, inputLengthMax)
{
	var narrativeActionTextInputData = new NarrativeActionTextInputData();
	
	narrativeActionTextInputData._inputLengthMax = inputLengthMax;
	narrativeActionTextInputData._inputLengthMin = inputLengthMin;
	narrativeActionTextInputData._langMessageId = langMessageId;
	
	return narrativeActionTextInputData;
}

NarrativeActionTextInputData.createFromSave = function(data)
{
	var narrativeActionTextInputData = new NarrativeActionTextInputData();

	narrativeActionTextInputData._inputLengthMax = data.inputLengthMax;
	narrativeActionTextInputData._inputLengthMin = data.inputLengthMin;
	narrativeActionTextInputData._langMessageId = data.langMessageId;
	
	return narrativeActionTextInputData;
}

//------------------------------------------------------------------------------------------------------------
//PROTOTYPE
//------------------------------------------------------------------------------------------------------------

NarrativeActionTextInputData.prototype =
{
	//------------------------------------------------------------------------------------------------------------
	//VARIABLES
	//------------------------------------------------------------------------------------------------------------

	_inputLengthMax : 0,
	_inputLengthMin : 0, 
	
	_langMessageId : '',

	//------------------------------------------------------------------------------------------------------------
	//INITIALIZERS - SERIALIZERS
	//------------------------------------------------------------------------------------------------------------

	//------------------------------------------------------------------------------------------------------------
	//GENERAL FUNCTIONS
	//------------------------------------------------------------------------------------------------------------

	//------------------------------------------------------------------------------------------------------------
	//GETTERS - SETTERS
	//------------------------------------------------------------------------------------------------------------

	getInputLengthMax : function()
	{
		return this._inputLengthMax;
	},
	setInputLengthMax : function(inputLengthMax)
	{
		this._inputLengthMax = inputLengthMax;
	},

	getInputLengthMin : function()
	{
		return this._inputLengthMin;
	},
	setInputLengthMin : function(inputLengthMin)
	{
		this._inputLengthMin = inputLengthMin;
	},

	getLangMessageId : function()
	{
		return this._langMessageId;
	},
	setLangMessageId : function(langMessageId)
	{
		this._langMessageId = langMessageId;
	},


	//------------------------------------------------------------------------------------------------------------
}

//------------------------------------------------------------------------------------------------------------
//EXPORTS
//------------------------------------------------------------------------------------------------------------

module.exports = NarrativeActionTextInputData;

//------------------------------------------------------------------------------------------------------------