//------------------------------------------------------------------------------------------------------------
//CLASS DEFINITION
//------------------------------------------------------------------------------------------------------------

function TextTokenLang()
{
}

//------------------------------------------------------------------------------------------------------------
//CONSTANTS
//------------------------------------------------------------------------------------------------------------

//------------------------------------------------------------------------------------------------------------
//STATIC FUNCTIONS
//------------------------------------------------------------------------------------------------------------

TextTokenLang.create = function(stringId, replaceValueMap)
{
	var textTokenLang = new TextTokenLang();
	
	textTokenLang._stringId = stringId;
	textTokenLang._replaceValueMap = ((replaceValueMap != null) ? replaceValueMap : []);
	
	return textTokenLang;
}

TextTokenLang.createFromSave = function(data)
{
	var textTokenLang = new TextTokenLang();
	
	textTokenLang._stringId = data.stringId;
	textTokenLang._replaceValueMap = ((data.replaceValueMap != null) ? data.replaceValueMap : []);
	
	return textTokenLang;
}

//------------------------------------------------------------------------------------------------------------
//PROTOTYPE
//------------------------------------------------------------------------------------------------------------

TextTokenLang.prototype =
{
	//------------------------------------------------------------------------------------------------------------
	//VARIABLES
	//------------------------------------------------------------------------------------------------------------

	_stringId : '',
	_replaceValueMap : null,
		
	//------------------------------------------------------------------------------------------------------------
	//INITIALIZERS - SERIALIZERS
	//------------------------------------------------------------------------------------------------------------

	//------------------------------------------------------------------------------------------------------------
	//GENERAL FUNCTIONS
	//------------------------------------------------------------------------------------------------------------

	//------------------------------------------------------------------------------------------------------------
	//GETTERS - SETTERS
	//------------------------------------------------------------------------------------------------------------
	
	getStringId : function()
	{
		return this._stringId;
	},

	getReplaceValueMap : function()
	{
		return this._replaceValueMap;
	},
	
	getValue : function()
	{
		//TODO: Tweaker / tester pour gérer _replaceValueMap correctement
		return sprintf(rpEngine.langManager.getPackGame().getString(this._stringId), this._replaceValueMap);
	},
	
	//------------------------------------------------------------------------------------------------------------
}

//------------------------------------------------------------------------------------------------------------
//EXPORTS
//------------------------------------------------------------------------------------------------------------

module.exports = TextTokenLang;

//------------------------------------------------------------------------------------------------------------