//------------------------------------------------------------------------------------------------------------
//CLASS DEFINITION
//------------------------------------------------------------------------------------------------------------

function GameScreenSystemMenu()
{
	$('#game_systemMenu_btnCancel').click(this.onClickBtnCancel);
	$('#game_systemMenu_btnEndGame').click(this.onClickBtnEndGame);
	$('#game_systemMenu_btnLoadGame').click(this.onClickBtnLoadGame);
	$('#game_systemMenu_btnOptions').click(this.onClickBtnOptions);
	$('#game_systemMenu_btnQuitGame').click(this.onClickBtnQuitGame);
	$('#game_systemMenu_btnSaveGame').click(this.onClickBtnSaveGame);
}

//------------------------------------------------------------------------------------------------------------
//CONSTANTS
//------------------------------------------------------------------------------------------------------------

//------------------------------------------------------------------------------------------------------------
//STATIC FUNCTIONS
//------------------------------------------------------------------------------------------------------------

//------------------------------------------------------------------------------------------------------------
//PROTOTYPE
//------------------------------------------------------------------------------------------------------------

GameScreenSystemMenu.prototype =
{
	//------------------------------------------------------------------------------------------------------------
	//VARIABLES
	//------------------------------------------------------------------------------------------------------------

	//------------------------------------------------------------------------------------------------------------
	//GENERAL FUNCTIONS
	//------------------------------------------------------------------------------------------------------------

	onClickBtnCancel : function()
	{
		$('#game_mainMenu_btnSystemMenu').removeClass('toggle');
		$('#popupShadow').fadeOut();
		$('#game_popupSystemMenu').fadeOut();
	},
	
	onClickBtnEndGame : function()
	{
		rpEngine.endGame();

		$('#game_mainMenu_btnSystemMenu').removeClass('toggle');
	},
	
	onClickBtnLoadGame : function()
	{
		rpEngine.loadGame();
	},

	onClickBtnOptions : function()
	{
	},
	
	onClickBtnQuitGame : function()
	{
		rpEngine.quitGame();
	},
	
	onClickBtnSaveGame : function()
	{
		rpEngine.saveGame();
	}

	//------------------------------------------------------------------------------------------------------------
	//GETTERS - SETTERS
	//------------------------------------------------------------------------------------------------------------
		
	//------------------------------------------------------------------------------------------------------------
}

//------------------------------------------------------------------------------------------------------------
//EXPORTS
//------------------------------------------------------------------------------------------------------------

module.exports = GameScreenSystemMenu;

//------------------------------------------------------------------------------------------------------------
