//------------------------------------------------------------------------------------------------------------
//CLASS DEFINITION
//------------------------------------------------------------------------------------------------------------

function TitleScreen()
{
	$('#title_mainMenu_btnCredits').click(this.onClickMainMenuBtnCredits);
	$('#title_mainMenu_btnLoadGame').click(this.onClickMainMenuBtnLoadGame);
	$('#title_mainMenu_btnNewGame').click(this.onClickMainMenuBtnNewGame);
	$('#title_mainMenu_btnOptions').click(this.onClickMainMenuBtnOptions);
	$('#title_mainMenu_btnQuitGame').click(this.onClickMainMenuBtnQuitGame);
}

//------------------------------------------------------------------------------------------------------------
//CONSTANTS
//------------------------------------------------------------------------------------------------------------

//------------------------------------------------------------------------------------------------------------
//STATIC FUNCTIONS
//------------------------------------------------------------------------------------------------------------

//------------------------------------------------------------------------------------------------------------
//PROTOTYPE
//------------------------------------------------------------------------------------------------------------

TitleScreen.prototype =
{
	//------------------------------------------------------------------------------------------------------------
	//VARIABLES
	//------------------------------------------------------------------------------------------------------------

	//------------------------------------------------------------------------------------------------------------
	//GENERAL FUNCTIONS
	//------------------------------------------------------------------------------------------------------------

	//------------------------------------------------------------------------------------------------------------
	//GUI EVENTS
	//------------------------------------------------------------------------------------------------------------
	
	onClickMainMenuBtnCredits : function()
	{
		console.log("TitleScreen.onClickMainMenuBtnCredits");
	},
	
	onClickMainMenuBtnLoadGame : function()
	{
		rpEngine.loadGame();
	},
	
	onClickMainMenuBtnNewGame : function()
	{
		rpEngine.soundEngine.playSound('sound_newGame');
		rpEngine.newGame();
	},
	
	onClickMainMenuBtnOptions : function()
	{
		console.log("TitleScreen.onClickMainMenuBtnOptions");
	},
	
	onClickMainMenuBtnQuitGame : function()
	{
		rpEngine.quitGame();
	},

	//------------------------------------------------------------------------------------------------------------
	//GETTERS - SETTERS
	//------------------------------------------------------------------------------------------------------------
		
	//------------------------------------------------------------------------------------------------------------
}

//------------------------------------------------------------------------------------------------------------
//EXPORTS
//------------------------------------------------------------------------------------------------------------

module.exports = TitleScreen;

//------------------------------------------------------------------------------------------------------------
