//------------------------------------------------------------------------------------------------------------
//CLASS DEFINITION
//------------------------------------------------------------------------------------------------------------

function Node_NewGame_Intro()
{
}

//------------------------------------------------------------------------------------------------------------
//CONSTANTS
//------------------------------------------------------------------------------------------------------------

//------------------------------------------------------------------------------------------------------------
//STATIC FUNCTIONS
//------------------------------------------------------------------------------------------------------------

//------------------------------------------------------------------------------------------------------------
//PROTOTYPE
//------------------------------------------------------------------------------------------------------------

Node_NewGame_Intro.prototype =
{
	//------------------------------------------------------------------------------------------------------------
	//VARIABLES
	//------------------------------------------------------------------------------------------------------------

	//------------------------------------------------------------------------------------------------------------
	//GENERAL FUNCTIONS
	//------------------------------------------------------------------------------------------------------------

	enterNode : function()
	{
		rpEngine.soundEngine.playMusic('music_towerOfNames');
		
		rpEngine.game.addTextGameLang('intro1_description', {});

		rpEngine.game.addNarrativeAction('continue1', 'action_continue1', 'intro1_choice1_title', 'intro1_choice1_description', 'intro1_choice1_info', {});
	},
	
	action_test : function()
	{
		throw new Exception();
	},

	action_continue1 : function()
	{
		rpEngine.game.addTextGameLang('intro2_description', {});

		rpEngine.game.addNarrativeAction('continue2', 'action_continue2', 'intro2_choice1_title', 'intro2_choice1_description', '', {});
	},
	
	action_continue2 : function()
	{
		rpGlobalScriptMap.gameUtil.changePlayerActorStat('skill_undyingScript', 1, true, true);
		
		rpEngine.game.setCurrentGameImageId('scene_towerOfNames_main');
		
		rpEngine.game.addTextGameLang('intro3_description', {});
		
		rpEngine.game.addNarrativeAction('continue3', 'action_continue3', 'intro3_choice1_title', 'intro3_choice1_description', '', {});
	},
	
	action_continue3 : function()
	{
		rpEngine.game.setNextNodeIdLocation('towerOfNames_main');
	},
	
	//------------------------------------------------------------------------------------------------------------
	//GETTERS - SETTERS
	//------------------------------------------------------------------------------------------------------------
		
	//------------------------------------------------------------------------------------------------------------
}
Node_NewGame_Intro.inheritsFrom(rp.Node);

//------------------------------------------------------------------------------------------------------------
//EXPORTS
//------------------------------------------------------------------------------------------------------------

module.exports = Node_NewGame_Intro;

//------------------------------------------------------------------------------------------------------------
