//------------------------------------------------------------------------------------------------------------
//CLASS DEFINITION
//------------------------------------------------------------------------------------------------------------

function Node_TowerOfNames_ChamberOfDreams()
{
}

//------------------------------------------------------------------------------------------------------------
//CONSTANTS
//------------------------------------------------------------------------------------------------------------

//------------------------------------------------------------------------------------------------------------
//STATIC FUNCTIONS
//------------------------------------------------------------------------------------------------------------

//------------------------------------------------------------------------------------------------------------
//PROTOTYPE
//------------------------------------------------------------------------------------------------------------

Node_TowerOfNames_ChamberOfDreams.prototype =
{
	//------------------------------------------------------------------------------------------------------------
	//VARIABLES
	//------------------------------------------------------------------------------------------------------------

	//------------------------------------------------------------------------------------------------------------
	//GENERAL FUNCTIONS
	//------------------------------------------------------------------------------------------------------------

	//Chamber of Dreams
		//Entrance => Fortune => Voices => Book => Exit

	enterNode : function()
	{
		this.action_sEntrance();
	},

	//Entrance

	action_sEntrance : function()
	{
		rpEngine.game.addTextGameLang('towerOfNames_chamberOfDreams_sEntrance_desc', {});

		rpEngine.game.addNarrativeAction(
				'sEntrance_cLook', 'action_sEntrance_cLook', 'towerOfNames_chamberOfDreams_sEntrance_cLook_title', 'towerOfNames_chamberOfDreams_sEntrance_cLook_desc', '', {});
		rpEngine.game.addNarrativeAction(
				'sEntrance_cPush', 'action_sEntrance_cPush', 'towerOfNames_chamberOfDreams_sEntrance_cPush_title', 'towerOfNames_chamberOfDreams_sEntrance_cPush_desc', '', {});
		rpEngine.game.addNarrativeAction(
				'sEntrance_cSneak', 'action_sEntrance_cSneak', 'towerOfNames_chamberOfDreams_sEntrance_cSneak_title', 'towerOfNames_chamberOfDreams_sEntrance_cSneak_desc', '', {});
		rpEngine.game.addNarrativeAction(
				'sEntrance_cOffer', 'action_sEntrance_cOffer', 'towerOfNames_chamberOfDreams_sEntrance_cOffer_title', 'towerOfNames_chamberOfDreams_sEntrance_cOffer_desc', '', {});
		rpEngine.game.addNarrativeAction(
				'sEntrance_cImagine', 'action_sEntrance_cImagine', 'towerOfNames_chamberOfDreams_sEntrance_cImagine_title', 'towerOfNames_chamberOfDreams_sEntrance_cImagine_desc', '', {});
	},

		action_sEntrance_cBack : function()
		{
			rpEngine.game.setNextNodeIdLocation('towerOfNames_main');
		},

		action_sEntrance_cImagine : function()
		{
			rpEngine.game.addTextGameLang('towerOfNames_chamberOfDreams_sEntrance_cImagine_result', {});
			rpEngine.game.addNarrativeAction('sFortune', 'action_sFortune', 'common_choice_continue', '', '', {});

			rpGlobalScriptMap.gameUtil.changePlayerActorStat('selfAspect_subterfuge', 2, false, true);
		},

		action_sEntrance_cLook : function()
		{
			rpEngine.game.addTextGameLang('towerOfNames_chamberOfDreams_sEntrance_cLook_result', {});
			rpEngine.game.addNarrativeAction('sEntrance', 'action_sEntrance', 'common_choice_continue', '', '', {});
		},

		action_sEntrance_cOffer : function()
		{
			rpEngine.game.addTextGameLang('towerOfNames_chamberOfDreams_sEntrance_cOffer_result', {});
			rpEngine.game.addNarrativeAction('sFortune', 'action_sFortune', 'common_choice_continue', '', '', {});

			rpGlobalScriptMap.gameUtil.changePlayerActorStat('selfAspect_allure', 2, false, true);
		},

		action_sEntrance_cPush : function()
		{
			rpEngine.game.addTextGameLang('towerOfNames_chamberOfDreams_sEntrance_cPush_result', {});
			rpEngine.game.addNarrativeAction('sEntrance', 'action_sEntrance', 'common_choice_continue', '', '', {});
		},

		action_sEntrance_cSneak : function()
		{
			rpEngine.game.addTextGameLang('towerOfNames_chamberOfDreams_sEntrance_cSneak_result', {});
			rpEngine.game.addNarrativeAction('sFortune', 'action_sFortune', 'common_choice_continue', '', '', {});

			rpGlobalScriptMap.gameUtil.changePlayerActorStat('selfAspect_alacrity', 2, false, true);
		},

		//Fortune

		action_sFortune : function()
		{
			rpEngine.game.addTextGameLang('towerOfNames_chamberOfDreams_sFortune_desc', {});
			rpEngine.game.addNarrativeAction(
					'sFortune_cAnathema', 'action_sFortune_cAnathema', 'towerOfNames_chamberOfDreams_sFortune_cAnathema_title', 'towerOfNames_chamberOfDreams_sFortune_cAnathema_desc', '', {});
			rpEngine.game.addNarrativeAction(
					'sFortune_cArtifice', 'action_sFortune_cArtifice', 'towerOfNames_chamberOfDreams_sFortune_cArtifice_title', 'towerOfNames_chamberOfDreams_sFortune_cArtifice_desc', '', {});
			rpEngine.game.addNarrativeAction(
					'sFortune_cCulture', 'action_sFortune_cCulture', 'towerOfNames_chamberOfDreams_sFortune_cCulture_title', 'towerOfNames_chamberOfDreams_sFortune_cArtifice_desc', '', {});
			rpEngine.game.addNarrativeAction(
					'sFortune_cExperience', 'action_sFortune_cExperience', 'towerOfNames_chamberOfDreams_sFortune_cExperience_title', 'towerOfNames_chamberOfDreams_sFortune_cExperience_desc', '', {});
			rpEngine.game.addNarrativeAction(
					'sFortune_cFatality', 'action_sFortune_cFatality', 'towerOfNames_chamberOfDreams_sFortune_cFatality_title', 'towerOfNames_chamberOfDreams_sFortune_cFatality_desc', '', {});
			rpEngine.game.addNarrativeAction(
					'sFortune_cHope', 'action_sFortune_cHope', 'towerOfNames_chamberOfDreams_sFortune_cHope_title', 'towerOfNames_chamberOfDreams_sFortune_cHope_desc', '', {});
			rpEngine.game.addNarrativeAction(
					'sFortune_cMat', 'action_sFortune_cMat', 'towerOfNames_chamberOfDreams_sFortune_cMat_title', 'towerOfNames_chamberOfDreams_sFortune_cMat_desc', '', {});
			rpEngine.game.addNarrativeAction(
					'sFortune_cMemory', 'action_sFortune_cMemory', 'towerOfNames_chamberOfDreams_sFortune_cMemory_title', 'towerOfNames_chamberOfDreams_sFortune_cMemory_desc', '', {});
			rpEngine.game.addNarrativeAction(
					'sFortune_cStatusQuo', 'action_sFortune_cStatusQuo', 'towerOfNames_chamberOfDreams_sFortune_cStatusQuo_title', 'towerOfNames_chamberOfDreams_sFortune_cStatusQuo_desc', '', {});
			rpEngine.game.addNarrativeAction(
					'sFortune_cStimulus', 'action_sFortune_cStimulus', 'towerOfNames_chamberOfDreams_sFortune_cStimulus_title', 'towerOfNames_chamberOfDreams_sFortune_cStimulus_desc', '', {});
			rpEngine.game.addNarrativeAction(
					'sFortune_cSurface', 'action_sFortune_cSurface', 'towerOfNames_chamberOfDreams_sFortune_cSurface_title', 'towerOfNames_chamberOfDreams_sFortune_cSurface_desc', '', {});
			rpEngine.game.addNarrativeAction(
					'sFortune_cSublime', 'action_sFortune_cSublime', 'towerOfNames_chamberOfDreams_sFortune_cSublime_title', 'towerOfNames_chamberOfDreams_sFortune_cSublime_desc', '', {});
			rpEngine.game.addNarrativeAction(
					'sFortune_cVoid', 'action_sFortune_cVoid', 'towerOfNames_chamberOfDreams_sFortune_cVoid_title', '', 'towerOfNames_chamberOfDreams_sFortune_cVoid_info', {});
		},

			action_sFortune_cAnathema : function()
			{
				rpEngine.game.addTextGameLang('towerOfNames_chamberOfDreams_sFortune_cAnathema_result', {});
				rpEngine.game.addNarrativeAction('sVoices', 'action_sVoices', 'common_choice_continue', '', '', {});

				rpGlobalScriptMap.gameUtil.changePlayerActorStat('essence_raw', 2, true, true);
				rpGlobalScriptMap.gameUtil.changePlayerActorStat('selfAspect_alacrity', 3, false, true);
				rpGlobalScriptMap.gameUtil.changePlayerActorStat('selfAspect_allure', 3, false, true);
				rpGlobalScriptMap.gameUtil.changePlayerActorStat('selfAspect_subterfuge', 3, false, true);
				rpGlobalScriptMap.gameUtil.changePlayerActorStat('selfAspect_empathy', -1, false, true);
				rpGlobalScriptMap.gameUtil.changePlayerActorStat('selfAspect_insight', -1, false, true);
				rpGlobalScriptMap.gameUtil.changePlayerActorStat('selfAspect_stoicism', -1, false, true);
			},
			
			action_sFortune_cArtifice : function()
			{
				rpEngine.game.addTextGameLang('towerOfNames_chamberOfDreams_sFortune_cArtifice_result', {});
				rpEngine.game.addNarrativeAction('sVoices', 'action_sVoices', 'common_choice_continue', '', '', {});

				rpGlobalScriptMap.gameUtil.changePlayerInventoryItem('practicalTools', 1, true, {isEquipped : true});
			},
			
			action_sFortune_cCulture : function()
			{
				rpEngine.game.addTextGameLang('towerOfNames_chamberOfDreams_sFortune_cCulture_result', {});
				rpEngine.game.addNarrativeAction('sVoices', 'action_sVoices', 'common_choice_continue', '', '', {});

				rpGlobalScriptMap.gameUtil.changePlayerInventoryItem('livingBranch', 1, true, {isEquipped : true});
			},
			
			action_sFortune_cExperience : function()
			{
				rpEngine.game.addTextGameLang('towerOfNames_chamberOfDreams_sFortune_cExperience_result', {});
				rpEngine.game.addNarrativeAction('sVoices', 'action_sVoices', 'common_choice_continue', '', '', {});

				rpGlobalScriptMap.gameUtil.changePlayerActorStat('naturalAptitude_camouflage', 1, false, true);
				rpGlobalScriptMap.gameUtil.changePlayerActorStat('naturalAptitude_orientation', 1, false, true);
				rpGlobalScriptMap.gameUtil.changePlayerActorStat('naturalAptitude_perception', 1, false, true);
				rpGlobalScriptMap.gameUtil.changePlayerActorStat('selfAspect_alacrity', 1, false, true);
				rpGlobalScriptMap.gameUtil.changePlayerActorStat('selfAspect_allure', 1, false, true);
				rpGlobalScriptMap.gameUtil.changePlayerActorStat('selfAspect_empathy', 1, false, true);
				rpGlobalScriptMap.gameUtil.changePlayerActorStat('selfAspect_ferocity', 1, false, true);
				rpGlobalScriptMap.gameUtil.changePlayerActorStat('selfAspect_insight', 1, false, true);
				rpGlobalScriptMap.gameUtil.changePlayerActorStat('selfAspect_stoicism', 1, false, true);
				rpGlobalScriptMap.gameUtil.changePlayerActorStat('selfAspect_subterfuge', 1, false, true);
				rpGlobalScriptMap.gameUtil.setPlayerActorStatListToMax(['currentStatus_coherence', 'currentStatus_health', 'currentStatus_satisfaction']);
			},
			
			action_sFortune_cFatality : function()
			{
				rpEngine.game.addTextGameLang('towerOfNames_chamberOfDreams_sFortune_cFatality_result', {});
				rpEngine.game.addNarrativeAction('sVoices', 'action_sVoices', 'common_choice_continue', '', '', {});

				rpGlobalScriptMap.gameUtil.changePlayerActorStat('essence_raw', 2, true, true);
				rpGlobalScriptMap.gameUtil.changePlayerActorStat('selfAspect_stoicism', 6, false, true);
				rpGlobalScriptMap.gameUtil.setPlayerActorStatListToMax(['currentStatus_coherence', 'currentStatus_health', 'currentStatus_satisfaction']);
			},
			
			action_sFortune_cHope : function()
			{
				rpEngine.game.addTextGameLang('towerOfNames_chamberOfDreams_sFortune_cHope_result', {});
				rpEngine.game.addNarrativeAction('sVoices', 'action_sVoices', 'common_choice_continue', '', '', {});

				rpGlobalScriptMap.gameUtil.changePlayerActorStat('essence_raw', 5, true, true);
			},
			
			action_sFortune_cMat : function()
			{
				rpEngine.game.addTextGameLang('towerOfNames_chamberOfDreams_sFortune_cMat_result', {});
				rpEngine.game.addNarrativeAction('sVoices', 'action_sVoices', 'common_choice_continue', '', '', {});

				rpGlobalScriptMap.gameUtil.changePlayerInventoryItem('fractalCard', 1, true, {isEquipped : true});
			},
			
			action_sFortune_cMemory : function()
			{
				rpEngine.game.addTextGameLang('towerOfNames_chamberOfDreams_sFortune_cMemory_result', {});
				rpEngine.game.addNarrativeAction('sVoices', 'action_sVoices', 'common_choice_continue', '', '', {});

				rpGlobalScriptMap.gameUtil.changePlayerActorStat('essence_raw', 2, true, true);
				rpGlobalScriptMap.gameUtil.changePlayerActorStat('selfAspect_insight', 6, false, true);
				rpGlobalScriptMap.gameUtil.setPlayerActorStatListToMax(['currentStatus_coherence', 'currentStatus_health', 'currentStatus_satisfaction']);
			},
			
			action_sFortune_cStatusQuo : function()
			{
				rpEngine.game.addTextGameLang('towerOfNames_chamberOfDreams_sFortune_cStatusQuo_result', {});
				rpEngine.game.addNarrativeAction('sVoices', 'action_sVoices', 'common_choice_continue', '', '', {});

				rpGlobalScriptMap.gameUtil.changePlayerActorStat('naturalAptitude_protection', 3, true, true);
			},
			
			action_sFortune_cStimulus : function()
			{
				rpEngine.game.addTextGameLang('towerOfNames_chamberOfDreams_sFortune_cStimulus_result', {});
				rpEngine.game.addNarrativeAction('sVoices', 'action_sVoices', 'common_choice_continue', '', '', {});

				rpGlobalScriptMap.gameUtil.changePlayerInventoryItem('secondSkin', 1, true, {isEquipped : true});
			},
			
			action_sFortune_cSublime : function()
			{
				rpEngine.game.addTextGameLang('towerOfNames_chamberOfDreams_sFortune_cSublime_result', {});
				rpEngine.game.addNarrativeAction('sVoices', 'action_sVoices', 'common_choice_continue', '', '', {});

				rpGlobalScriptMap.gameUtil.changePlayerActorStat('selfAspect_allure', 6, false, true);
				rpGlobalScriptMap.gameUtil.changePlayerActorStat('selfAspect_empathy', 4, false, true);
				rpGlobalScriptMap.gameUtil.setPlayerActorStatListToMax(['currentStatus_coherence', 'currentStatus_health', 'currentStatus_satisfaction']);
			},
			
			action_sFortune_cSurface : function()
			{
				rpEngine.game.addTextGameLang('towerOfNames_chamberOfDreams_sFortune_cSurface_result', {});
				rpEngine.game.addNarrativeAction('sVoices', 'action_sVoices', 'common_choice_continue', '', '', {});

				rpGlobalScriptMap.gameUtil.changePlayerActorStat('naturalAptitude_camouflage', 3, false, true);
				rpGlobalScriptMap.gameUtil.changePlayerActorStat('naturalAptitude_orientation', 3, false, true);
				rpGlobalScriptMap.gameUtil.changePlayerActorStat('naturalAptitude_perception', 3, false, true);
			},
			
			action_sFortune_cVoid : function()
			{
				rpEngine.game.addTextGameLang('towerOfNames_chamberOfDreams_sFortune_cVoid_result', {});
				rpEngine.game.addNarrativeAction('sVoices', 'action_sVoices', 'common_choice_continue', '', '', {});

				rpGlobalScriptMap.gameUtil.changePlayerActorStat('currentStatus_gazeOfTheThirteen', 2, false, true);
				rpGlobalScriptMap.gameUtil.changePlayerActorStat('essence_void', 1, true, true);
			},

		// Voices

		action_sVoices : function()
		{
			rpEngine.game.addTextGameLang('towerOfNames_chamberOfDreams_sVoices_desc', {});
			rpEngine.game.addNarrativeAction(
					'sVoices_cExplorers', 'action_sVoices_cExplorers', 'towerOfNames_chamberOfDreams_sVoices_cExplorers_title', 'towerOfNames_chamberOfDreams_sVoices_cExplorers_desc', '', {});
			rpEngine.game.addNarrativeAction(
					'sVoices_cInvestigators', 'action_sVoices_cInvestigators', 'towerOfNames_chamberOfDreams_sVoices_cInvestigators_title', 'towerOfNames_chamberOfDreams_sVoices_cInvestigators_desc', '', {});
			rpEngine.game.addNarrativeAction(
					'sVoices_cRebels', 'action_sVoices_cRebels', 'towerOfNames_chamberOfDreams_sVoices_cRebels_title', 'towerOfNames_chamberOfDreams_sVoices_cRebels_desc', '', {});
			rpEngine.game.addNarrativeAction(
					'sVoices_cResearchers', 'action_sVoices_cResearchers', 'towerOfNames_chamberOfDreams_sVoices_cResearchers_title', 'towerOfNames_chamberOfDreams_sVoices_cResearchers_desc', '', {});
			rpEngine.game.addNarrativeAction(
					'sVoices_cSmugglers', 'action_sVoices_cSmugglers', 'towerOfNames_chamberOfDreams_sVoices_cSmugglers_title', 'towerOfNames_chamberOfDreams_sVoices_cSmugglers_desc', '', {});
			rpEngine.game.addNarrativeAction(
					'sVoices_cNothing', 'action_sVoices_cNothing',
					'towerOfNames_chamberOfDreams_sVoices_cNothing_title', 'towerOfNames_chamberOfDreams_sVoices_cNothing_desc', 'towerOfNames_chamberOfDreams_sVoices_cNothing_info', {});
		},
			
			action_sVoices_cExplorers : function()
			{
				rpEngine.game.addTextGameLang('towerOfNames_chamberOfDreams_sVoices_cExplorers_result', {});
				rpEngine.game.addNarrativeAction('sBook', 'action_sBook', 'common_choice_continue', '', '', {});

				rpEngine.game.setVariable('storyArc_towerOfNames_explorers', 1);
			},

			action_sVoices_cInvestigators : function()
			{
				rpEngine.game.addTextGameLang('towerOfNames_chamberOfDreams_sVoices_cInvestigators_result', {});
				rpEngine.game.addNarrativeAction('sBook', 'action_sBook', 'common_choice_continue', '', '', {});

				rpEngine.game.setVariable('storyArc_towerOfNames_investigators', 1);
			},

			action_sVoices_cRebels : function()
			{
				rpEngine.game.addTextGameLang('towerOfNames_chamberOfDreams_sVoices_cRebels_result', {});
				rpEngine.game.addNarrativeAction('sBook', 'action_sBook', 'common_choice_continue', '', '', {});

				rpEngine.game.setVariable('storyArc_towerOfNames_rebels', 1);
			},

			action_sVoices_cResearchers : function()
			{
				rpEngine.game.addTextGameLang('towerOfNames_chamberOfDreams_sVoices_cResearchers_result', {});
				rpEngine.game.addNarrativeAction('sBook', 'action_sBook', 'common_choice_continue', '', '', {});

				rpEngine.game.setVariable('storyArc_towerOfNames_researchers', 1);
			},

			action_sVoices_cSmugglers : function()
			{
				rpEngine.game.addTextGameLang('towerOfNames_chamberOfDreams_sVoices_cSmugglers_result', {});
				rpEngine.game.addNarrativeAction('sBook', 'action_sBook', 'common_choice_continue', '', '', {});

				rpEngine.game.setVariable('storyArc_towerOfNames_smugglers', 1);
			},

			action_sVoices_cNothing : function()
			{
				rpEngine.game.addTextGameLang('towerOfNames_chamberOfDreams_sVoices_cNothing_result', {});
				rpEngine.game.addNarrativeAction('sBook', 'action_sBook', 'common_choice_continue', '', '', {});

				rpGlobalScriptMap.gameUtil.changePlayerActorStat('essence_raw', 3, true, true);
				rpGlobalScriptMap.gameUtil.changePlayerActorStat('trait_trueborn', 1, true, true);
			},

		// Book

		action_sBook : function()
		{
			rpEngine.game.addTextGameLang('towerOfNames_chamberOfDreams_sBook_desc', {});
			var action_sBook_cWrite = rpEngine.game.addNarrativeAction(
					'sBook_cWrite', 'action_sBook_cWrite', 'towerOfNames_chamberOfDreams_sBook_cWrite_title', 'towerOfNames_chamberOfDreams_sBook_cWrite_desc', '', {});
			
			action_sBook_cWrite.addNarrativeActionTextInputData('towerOfNames_chamberOfDreams_sBook_cWrite_message', 1, 20);
		},
			
			action_sBook_cWrite : function(data)
			{
				rpEngine.game.getPlayerActor().setName(data.textInputList[0]);

				rpEngine.game.addTextGameLang('towerOfNames_chamberOfDreams_sBook_cWrite_result', {});
				var action_sBook_cWrite = rpEngine.game.addNarrativeAction('sExit', 'action_sExit', 'common_choice_continue', '', '', {});
			},

		// Exit

		action_sExit : function()
		{
			rpEngine.game.addTextGameLang('towerOfNames_chamberOfDreams_sExit_desc', {});
			rpEngine.game.addNarrativeAction('sExit_cContinue', 'action_sExit_cContinue', 'common_choice_continue', '', '', {});

			rpGlobalScriptMap.gameUtil.changePlayerActorStat('essence_soul', 1, true, true);
			rpGlobalScriptMap.gameUtil.setPlayerActorStatListToMax(['currentStatus_coherence', 'currentStatus_health', 'currentStatus_satisfaction']);
		},
				
			action_sExit_cContinue : function()
			{
				rpEngine.game.setVariable('progress_towerOfNames_chamberOfDreams_done', 1);
				rpEngine.game.setNextNodeIdLocation('towerOfNames_main');
			},

	//------------------------------------------------------------------------------------------------------------
	//GETTERS - SETTERS
	//------------------------------------------------------------------------------------------------------------
		
	//------------------------------------------------------------------------------------------------------------
}
Node_TowerOfNames_ChamberOfDreams.inheritsFrom(rp.Node);

//------------------------------------------------------------------------------------------------------------
//EXPORTS
//------------------------------------------------------------------------------------------------------------

module.exports = Node_TowerOfNames_ChamberOfDreams;

//------------------------------------------------------------------------------------------------------------
