//------------------------------------------------------------------------------------------------------------
//CLASS DEFINITION
//------------------------------------------------------------------------------------------------------------

function ActorSave(actor)
{
	this.variableMap = {};
	
	this.actorStatSaveMap = {};

	//Write data

	this.id = actor.getId();
	
	this.name = actor.getName();
	this.title = actor.getTitle();
	this.portraitImageId = actor.getPortraitImageId();

	this.variableMap = actor.getVariableMap();
	
	var actorStatMaps = actor.getStatMaps();
	for (var key in actorStatMaps)
	{
		actorStatMap = actorStatMaps[key];
		for (var key2 in actorStatMap)
		{
			this.actorStatSaveMap[key2] = new rp.ActorStatSave(actorStatMap[key2]);
		}
	}

	this.inventorySave = new rp.InventorySave(actor.getInventory());
}

//------------------------------------------------------------------------------------------------------------
//CONSTANTS
//------------------------------------------------------------------------------------------------------------

//------------------------------------------------------------------------------------------------------------
//STATIC FUNCTIONS
//------------------------------------------------------------------------------------------------------------

//------------------------------------------------------------------------------------------------------------
//PROTOTYPE
//------------------------------------------------------------------------------------------------------------

ActorSave.prototype =
{
	//------------------------------------------------------------------------------------------------------------
	//VARIABLES
	//------------------------------------------------------------------------------------------------------------

	id : '',
		
	name : '',
	title : '',
	portraitImageId : '',
	
	variableMap : null,
	
	actorStatSaveMap : null,
	
	inventorySave : null,
	
	//------------------------------------------------------------------------------------------------------------
	//INITIALIZERS - SERIALIZERS
	//------------------------------------------------------------------------------------------------------------

	//------------------------------------------------------------------------------------------------------------
	//GENERAL FUNCTIONS
	//------------------------------------------------------------------------------------------------------------

	//------------------------------------------------------------------------------------------------------------
	//GETTERS - SETTERS
	//------------------------------------------------------------------------------------------------------------
		
	//------------------------------------------------------------------------------------------------------------
}

//------------------------------------------------------------------------------------------------------------
//EXPORTS
//------------------------------------------------------------------------------------------------------------

module.exports = ActorSave;

//------------------------------------------------------------------------------------------------------------