//------------------------------------------------------------------------------------------------------------
//CLASS DEFINITION
//------------------------------------------------------------------------------------------------------------

function TextTokenRaw()
{
}

//------------------------------------------------------------------------------------------------------------
//CONSTANTS
//------------------------------------------------------------------------------------------------------------

//------------------------------------------------------------------------------------------------------------
//STATIC FUNCTIONS
//------------------------------------------------------------------------------------------------------------

TextTokenRaw.create = function(string, replaceValueMap)
{
	var textTokenRaw = new TextTokenRaw();
	
	textTokenRaw._string = string;
	textTokenRaw._replaceValueMap = ((replaceValueMap != null) ? replaceValueMap : {});
	
	return textTokenRaw;
}

TextTokenRaw.createFromSave = function(data)
{
	var textTokenRaw = new TextTokenRaw();
	
	textTokenRaw._string = data.string;
	textTokenRaw._replaceValueMap = ((data.replaceValueMap != null) ? data.replaceValueMap : {});
	
	return textTokenRaw;
}

//------------------------------------------------------------------------------------------------------------
//PROTOTYPE
//------------------------------------------------------------------------------------------------------------

TextTokenRaw.prototype =
{
	//------------------------------------------------------------------------------------------------------------
	//VARIABLES
	//------------------------------------------------------------------------------------------------------------

	_string : '',
	_replaceValueMap : null,
		
	//------------------------------------------------------------------------------------------------------------
	//INITIALIZERS - SERIALIZERS
	//------------------------------------------------------------------------------------------------------------

	//------------------------------------------------------------------------------------------------------------
	//GENERAL FUNCTIONS
	//------------------------------------------------------------------------------------------------------------

	//------------------------------------------------------------------------------------------------------------
	//GETTERS - SETTERS
	//------------------------------------------------------------------------------------------------------------

	getString : function()
	{
		return this._string;
	},

	getReplaceValueMap : function()
	{
		return this._replaceValueMap;
	},
	
	getValue : function()
	{
		//TODO: Tweaker / tester pour gérer _replaceValueMap correctement
		return vsprintf(this._string, this._replaceValueMap);
	},
	
	//------------------------------------------------------------------------------------------------------------
}

//------------------------------------------------------------------------------------------------------------
//EXPORTS
//------------------------------------------------------------------------------------------------------------

module.exports = TextTokenRaw;

//------------------------------------------------------------------------------------------------------------