//------------------------------------------------------------------------------------------------------------
//CLASS DEFINITION
//------------------------------------------------------------------------------------------------------------

function GameScreenMainMenu()
{
	$('#game_mainMenu_btnCharacter').click(this.onClickBtnCharacter);
	$('#game_mainMenu_btnInventory').click(this.onClickBtnInventory);
	$('#game_mainMenu_btnSystemMenu').click(this.onClickBtnSystemMenu);

}

//------------------------------------------------------------------------------------------------------------
//CONSTANTS
//------------------------------------------------------------------------------------------------------------

//------------------------------------------------------------------------------------------------------------
//STATIC FUNCTIONS
//------------------------------------------------------------------------------------------------------------

//------------------------------------------------------------------------------------------------------------
//PROTOTYPE
//------------------------------------------------------------------------------------------------------------

GameScreenMainMenu.prototype =
{
	//------------------------------------------------------------------------------------------------------------
	//VARIABLES
	//------------------------------------------------------------------------------------------------------------

	//------------------------------------------------------------------------------------------------------------
	//GENERAL FUNCTIONS
	//------------------------------------------------------------------------------------------------------------

	//------------------------------------------------------------------------------------------------------------
	//GUI EVENTS
	//------------------------------------------------------------------------------------------------------------
	
	onClickBtnCharacter : function()
	{
		if ($('#game_playerCharacterPanel').is(":visible"))
		{
			$('#game_mainMenu_btnCharacter').removeClass('toggle');
			$('#game_playerCharacterPanel').fadeOut();
		}
		else
		{
			$('#game_mainMenu_btnCharacter').addClass('toggle');
			$('#game_playerCharacterPanel').fadeIn();
		}
	},
	
	onClickBtnInventory : function()
	{
		if ($('#game_inventoryPanel').is(":visible"))
		{
			$('#game_mainMenu_btnInventory').removeClass('toggle');
			$('#game_inventoryPanel').fadeOut();
		}
		else
		{
			$('#game_mainMenu_btnInventory').addClass('toggle');
			$('#game_inventoryPanel').fadeIn();
		}
	},
	
	onClickBtnSystemMenu : function()
	{
		$('#game_mainMenu_btnSystemMenu').addClass('toggle');
		$('#popupShadow').fadeIn();
		$('.gameMenu').fadeIn();
	}
	
	//------------------------------------------------------------------------------------------------------------
	//GETTERS - SETTERS
	//------------------------------------------------------------------------------------------------------------
		
	//------------------------------------------------------------------------------------------------------------
}

//------------------------------------------------------------------------------------------------------------
//EXPORTS
//------------------------------------------------------------------------------------------------------------

module.exports = GameScreenMainMenu;

//------------------------------------------------------------------------------------------------------------
