//------------------------------------------------------------------------------------------------------------
//CLASS DEFINITION
//------------------------------------------------------------------------------------------------------------

function Node_NewGame_Init()
{
}

//------------------------------------------------------------------------------------------------------------
//CONSTANTS
//------------------------------------------------------------------------------------------------------------

//------------------------------------------------------------------------------------------------------------
//STATIC FUNCTIONS
//------------------------------------------------------------------------------------------------------------

//------------------------------------------------------------------------------------------------------------
//PROTOTYPE
//------------------------------------------------------------------------------------------------------------

Node_NewGame_Init.prototype =
{
	//------------------------------------------------------------------------------------------------------------
	//VARIABLES
	//------------------------------------------------------------------------------------------------------------

	//------------------------------------------------------------------------------------------------------------
	//GENERAL FUNCTIONS
	//------------------------------------------------------------------------------------------------------------

	enterNode : function()
	{
		//Game variables initialisation

		//Player actor initialisation
		
		var playerActor = rpEngine.game.addActor('player');
		rpEngine.game.setPlayerActor(playerActor);

		playerActor.setStatValueCurrentBase('currentStatus_coherence', 0);
		playerActor.setStatValueCurrentBase('currentStatus_health', 0);
		playerActor.setStatValueCurrentBase('currentStatus_satisfaction', 0);
		playerActor.setStatValueCurrentBase('essence_body', 1);
		playerActor.setStatValueCurrentBase('essence_mind', 1);
		playerActor.setStatValueCurrentBase('essence_soul', 1);
		playerActor.setStatValueCurrentBase('naturalAptitude_camouflage', 0);
		playerActor.setStatValueCurrentBase('naturalAptitude_orientation', 0);
		playerActor.setStatValueCurrentBase('naturalAptitude_perception', 0);
		playerActor.setStatValueCurrentBase('naturalAptitude_protection', 0);
		playerActor.setStatValueCurrentBase('selfAspect_alacrity', 2);
		playerActor.setStatValueCurrentBase('selfAspect_allure', 2);
		playerActor.setStatValueCurrentBase('selfAspect_empathy', 2);
		playerActor.setStatValueCurrentBase('selfAspect_ferocity', 2);
		playerActor.setStatValueCurrentBase('selfAspect_insight', 2);
		playerActor.setStatValueCurrentBase('selfAspect_stoicism', 2);
		playerActor.setStatValueCurrentBase('selfAspect_subterfuge', 2);
		playerActor.setName('Nameless');
		playerActor.setTitle('Newborn');

		rpGlobalScriptMap.gameUtil.setPlayerActorStatListToMax(['currentStatus_coherence', 'currentStatus_health', 'currentStatus_satisfaction']);

		//Start the game itself

		rpEngine.game.setNextNodeIdLocation('newGame_intro');
	},
	
	//------------------------------------------------------------------------------------------------------------
	//GETTERS - SETTERS
	//------------------------------------------------------------------------------------------------------------
		
	//------------------------------------------------------------------------------------------------------------
}
Node_NewGame_Init.inheritsFrom(rp.Node);

//------------------------------------------------------------------------------------------------------------
//EXPORTS
//------------------------------------------------------------------------------------------------------------

module.exports = Node_NewGame_Init;

//------------------------------------------------------------------------------------------------------------
