//------------------------------------------------------------------------------------------------------------
//CLASS DEFINITION
//------------------------------------------------------------------------------------------------------------

function Node_TowerOfNames_Main()
{
}

//------------------------------------------------------------------------------------------------------------
//CONSTANTS
//------------------------------------------------------------------------------------------------------------

//------------------------------------------------------------------------------------------------------------
//STATIC FUNCTIONS
//------------------------------------------------------------------------------------------------------------

//------------------------------------------------------------------------------------------------------------
//PROTOTYPE
//------------------------------------------------------------------------------------------------------------

Node_TowerOfNames_Main.prototype =
{
	//------------------------------------------------------------------------------------------------------------
	//VARIABLES
	//------------------------------------------------------------------------------------------------------------

	//------------------------------------------------------------------------------------------------------------
	//GENERAL FUNCTIONS
	//------------------------------------------------------------------------------------------------------------

	enterNode : function()
	{
		if ((rpEngine.game.getVariable('progress_towerOfNames_chamberOfSubstance_done') == 1) &&
			(rpEngine.game.getVariable('progress_towerOfNames_chamberOfPhilosophy_done') == 1) &&
			(rpEngine.game.getVariable('progress_towerOfNames_chamberOfDreams_done') == 1))
		{
			rpEngine.game.addTextGameLang('towerOfNames_main_sEnding_desc', {});
			rpEngine.game.setCurrentGameImageId('');
			rpEngine.soundEngine.stopMusic(2000);
			
			rpEngine.game.addNarrativeAction('', 'action_ending', 'common_choice_continue', '', '', {});
			
			return;
		}
		
		rpEngine.game.addTextGameLang('towerOfNames_main_desc');
		
		if (rpEngine.game.getVariable('progress_towerOfNames_chamberOfSubstance_done') != 1)
		{
			rpEngine.game.addNarrativeAction('', 'action_doorOfSubstance', 'towerOfNames_main_choice_doorOfSubstance', 'towerOfNames_main_choice_doorOfSubstance_desc', '', {});
		}
		
		if (rpEngine.game.getVariable('progress_towerOfNames_chamberOfPhilosophy_done') != 1)
		{
			rpEngine.game.addNarrativeAction('', 'action_doorOfPhilosophy', 'towerOfNames_main_choice_doorOfPhilosophy', 'towerOfNames_main_choice_doorOfPhilosophy_desc', '', {});
		}
		
		if (rpEngine.game.getVariable('progress_towerOfNames_chamberOfDreams_done') != 1)
		{
			rpEngine.game.addNarrativeAction('', 'action_doorOfDreams', 'towerOfNames_main_choice_doorOfDreams', 'towerOfNames_main_choice_doorOfDreams_desc', '', {});
		}
	},

	// Doors

	action_doorOfDreams : function()
	{
		rpEngine.game.setNextNodeIdLocation('towerOfNames_chamberOfDreams');
	},

	action_doorOfPhilosophy : function()
	{
		rpEngine.game.setNextNodeIdLocation('towerOfNames_chamberOfPhilosophy');
	},

	action_doorOfSubstance : function()
	{
		rpEngine.game.setNextNodeIdLocation('towerOfNames_chamberOfSubstance');
	},

	// Ending

	action_ending : function()
	{
		rpEngine.game.addTextGameLang("common_demoEnd", {});
		rpEngine.game.addNarrativeAction('ending_cEndGame', 'action_ending_cEndGame', 'common_choice_endGame', '', '', {});
	},
	
		action_ending_cEndGame : function()
		{
			rpEngine.endGame();
		},

	//------------------------------------------------------------------------------------------------------------
	//GETTERS - SETTERS
	//------------------------------------------------------------------------------------------------------------
		
	//------------------------------------------------------------------------------------------------------------
}
Node_TowerOfNames_Main.inheritsFrom(rp.Node);

//------------------------------------------------------------------------------------------------------------
//EXPORTS
//------------------------------------------------------------------------------------------------------------

module.exports = Node_TowerOfNames_Main;

//------------------------------------------------------------------------------------------------------------
